curl -X POST https://api.growthbook.io/api/v1/fact-metrics/fact__123abc \
-d '{"hasConversionWindow": false}' \
-u secret_abc123DEF456:{
"factMetric": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"owner": "<unknown>",
"projects": [
"<string>"
],
"tags": [
"<string>"
],
"datasource": "<string>",
"metricType": "proportion",
"numerator": {
"factTableId": "<string>",
"column": "<string>",
"aggregation": "sum",
"filters": [
"<string>"
],
"inlineFilters": {},
"rowFilters": [
{
"operator": "=",
"values": [
"<string>"
],
"column": "<string>"
}
],
"aggregateFilterColumn": "<string>",
"aggregateFilter": "<string>"
},
"inverse": true,
"cappingSettings": {
"type": "none",
"value": 123,
"ignoreZeros": true
},
"windowSettings": {
"type": "none",
"delayValue": 123,
"delayUnit": "minutes",
"windowValue": 123,
"windowUnit": "minutes"
},
"regressionAdjustmentSettings": {
"override": true,
"enabled": true,
"days": 123
},
"riskThresholdSuccess": 123,
"riskThresholdDanger": 123,
"minPercentChange": 123,
"maxPercentChange": 123,
"minSampleSize": 123,
"targetMDE": 123,
"managedBy": "",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"denominator": {
"factTableId": "<string>",
"column": "<string>",
"filters": [
"<string>"
],
"inlineFilters": {},
"rowFilters": [
{
"operator": "=",
"values": [
"<string>"
],
"column": "<string>"
}
]
},
"quantileSettings": {
"type": "event",
"ignoreZeros": true,
"quantile": 0.5
},
"displayAsPercentage": true,
"archived": true,
"metricAutoSlices": [
"<string>"
]
}
}Documentation Index
Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
If using Bearer auth, pass the Secret Key as the token:
curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"The id of the requested resource
proportion, retention, mean, quantile, ratio, dailyParticipation Show child attributes
Only when metricType is 'ratio'
Show child attributes
Set to true for things like Bounce Rate, where you want the metric to decrease
Controls the settings for quantile metrics (mandatory if metricType is "quantile")
Show child attributes
Controls how outliers are handled
Show child attributes
Controls the conversion window for the metric
Show child attributes
Controls the regression adjustment (CUPED) settings for the metric
Show child attributes
No longer used. Threshold for Risk to be considered low enough, as a proportion (e.g. put 0.0025 for 0.25%).
Must be a non-negative number and must not be higher than riskThresholdDanger.
x >= 0No longer used. Threshold for Risk to be considered too high, as a proportion (e.g. put 0.0125 for 1.25%).
Must be a non-negative number.
x >= 0If true and the metric is a ratio or dailyParticipation metric, variation means will be displayed as a percentage. Defaults to true for dailyParticipation metrics and false for ratio metrics.
Minimum percent change to consider uplift significant, as a proportion (e.g. put 0.005 for 0.5%)
x >= 0Maximum percent change to consider uplift significant, as a proportion (e.g. put 0.5 for 50%)
x >= 0x >= 0x >= 0Set this to "api" to disable editing in the GrowthBook UI
, api, admin Array of slice column names that will be automatically included in metric analysis. This is an enterprise feature.
Success
Show child attributes
curl -X POST https://api.growthbook.io/api/v1/fact-metrics/fact__123abc \
-d '{"hasConversionWindow": false}' \
-u secret_abc123DEF456:{
"factMetric": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"owner": "<unknown>",
"projects": [
"<string>"
],
"tags": [
"<string>"
],
"datasource": "<string>",
"metricType": "proportion",
"numerator": {
"factTableId": "<string>",
"column": "<string>",
"aggregation": "sum",
"filters": [
"<string>"
],
"inlineFilters": {},
"rowFilters": [
{
"operator": "=",
"values": [
"<string>"
],
"column": "<string>"
}
],
"aggregateFilterColumn": "<string>",
"aggregateFilter": "<string>"
},
"inverse": true,
"cappingSettings": {
"type": "none",
"value": 123,
"ignoreZeros": true
},
"windowSettings": {
"type": "none",
"delayValue": 123,
"delayUnit": "minutes",
"windowValue": 123,
"windowUnit": "minutes"
},
"regressionAdjustmentSettings": {
"override": true,
"enabled": true,
"days": 123
},
"riskThresholdSuccess": 123,
"riskThresholdDanger": 123,
"minPercentChange": 123,
"maxPercentChange": 123,
"minSampleSize": 123,
"targetMDE": 123,
"managedBy": "",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"denominator": {
"factTableId": "<string>",
"column": "<string>",
"filters": [
"<string>"
],
"inlineFilters": {},
"rowFilters": [
{
"operator": "=",
"values": [
"<string>"
],
"column": "<string>"
}
]
},
"quantileSettings": {
"type": "event",
"ignoreZeros": true,
"quantile": 0.5
},
"displayAsPercentage": true,
"archived": true,
"metricAutoSlices": [
"<string>"
]
}
}